%{?build_gost}%{?!build_gost:%bcond_with gost}

%if %{_use_internal_dependency_generator}
%define __noautoreq 'perl\\(Rpmdrake::widgets\\)'
%else
%define _requires_exceptions perl(Rpmdrake::widgets)
%endif

Summary:	Graphical front end for sofware installation/removal
Name:		rpmdrake
Version:	5.26.12
Release:	55
License:	GPLv2+
Group:		System/Configuration/Packaging
Url:		https://abf.rosalinux.ru/import/rpmdrake
Source0:	%{name}-%{version}.tar.xz
Patch0:		rpmdrake-5.26.12-drop_update_media_only.patch
Patch1:		upgrade_info_utf8.patch
Patch2:		rpmdrake-5.26.12-version-release.patch
Patch3:		rpmdrake-5.26.12-run-help-callback.patch
Patch4:		rpmdrake-5.26.12-do_not_flush.patch
Patch5:		rpmdrake-5.26.12-show-launcher-in-gnome-shell.patch
Patch6:		rpmdrake-5.26.12-download-all-option.patch
Patch7:		rpmdrake.gui.lst.patch
Patch8:		rpmdrake-5.26.12-force-req-update.patch
Patch9:		rpmdrake-5.26.12-disable-orphans.patch

#From Mageia
#Patch11:	rpmdrake-5.26.12-rpmnew.patch
#Patch12:	rpmdrake-5.26.12-curl_merge.patch
#Patch13:	rpmdrake-5.26.12-x86_64_sort.patch

Patch15:	rpmdrake-5.26.12-force_auto_req_selection.patch
#Patch16:	rpmdrake-5.26.12.update_all_repos.patch
# Make MandrivaUpdate take into account 'auto_select' option from config file
Patch17:	rpmdrake-5.26.12-use-auto-from-config-in-MdvUpdate.patch
# In 'auto' mode, choose package with highest version
Patch18:	rpmdrake-5.26.12-smarter-auto.patch
# Minor localization fix
Patch19:	rpmdrake-5.26.12-l10n.patch
%if %{with gost}
# Curl-gost configuration in edit-media-sources
# Normally we need this only for certified distributions
Patch20:	rpmdrake-5.26.12-curl_gost.patch
%endif
Patch21:	rpmdrake-5.26.12-do-not-disable-media.patch
# urpm::main_loop is able to indicate that something is wrong with
# package download and suggest to update media metadata.
# Currently we don't support this behavior in rpmdrake
Patch23:	rpmdrake-5.26.12-restart-for-metadata-update.patch
# In new urpmi, main_loop doesn't need '$requested' argument
Patch24:	rpmdrake-5.26.12-new-urpmi-main-loop.patch
# Do not set "force-req-update" when removing packages
Patch25:	rpmdrake-5.26.12-no-force-req-update-on-pkg-removal.patch
Patch26:	rpmdrake-5.26.12-skip-older-versions.patch
Patch27:	rpmdrake-5.26.12-do-not-remove-conflicts.patch

BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	perl-devel
BuildRequires:	perl_checker
Requires:	desktop-common-data
Requires:	drakxtools >= 12.64
Requires:	perl-Gtk2 >= 1.172-2
Requires:	perl-Gtk2-SourceView2
Requires:	perl-Locale-gettext >= 1.05-6
Requires:	perl-MDK-Common
Requires:	perl-File-MimeInfo
Requires:	perl-URPM >= 3.07-2
Requires:	urpmi > 6.71-17
# need the consolehelper basic pam config files
Requires:	usermode-consoleonly
# for translations:
Suggests:	mdv-rpm-summary
Provides:	MandrakeUpdate
BuildArch:	noarch

%description
This package contains the ROSA graphical software manipulation
tools.

Rpmdrake provides a simple interface that makes it easy to install
and remove software.

MandrivaUpdate is a single-purpose application for keeping your system
up to date with the latest official updates.

There is also a tool for configuring package sources (medias), which can
be run independently or accessed from within rpmdrake.

%files -f rpmdrake.lang
%doc AUTHORS COPYING NEWS README
%config(noreplace) %{_sysconfdir}/pam.d/rpmdrake
%config(noreplace) %{_sysconfdir}/pam.d/mandrivaupdate
%config(noreplace) %{_sysconfdir}/pam.d/drakrpm-edit-media
%config(noreplace) %{_sysconfdir}/security/console.apps/rpmdrake
%config(noreplace) %{_sysconfdir}/security/console.apps/MandrivaUpdate
%config(noreplace) %{_sysconfdir}/security/console.apps/drakrpm-edit-media
# all these in sysconfdir are symlinks
%{_sysconfdir}/pam.d/drakrpm
%{_sysconfdir}/pam.d/drakrpm-update
%{_sysconfdir}/security/console.apps/drakrpm
%{_sysconfdir}/security/console.apps/drakrpm-update
%{_sysconfdir}/security/console.apps/mandrivaupdate
%{_sbindir}/rpmdrake*
%{_sbindir}/MandrivaUpdate
%{_sbindir}/edit-urpm-*
%{_sbindir}/drakrpm-edit-media
%{_sbindir}/drakrpm-update
%{_sbindir}/gurpmi.addmedia
%{_bindir}/*
%{_datadir}/%{name}
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/Rpmdrake
%{_datadir}/mimelnk/application/x-urpmi-media.desktop
%{_datadir}/mime/packages/urpmi-media.xml
%{_datadir}/applications/*.desktop
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_iconsdir}/hicolor/16x16/apps/*.png
%{_iconsdir}/hicolor/32x32/apps/*.png
%{_iconsdir}/hicolor/48x48/apps/*.png

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
make OPTIMIZE="%{optflags} -Wall" PREFIX=%{_prefix} INSTALLDIRS=vendor

%install
%makeinstall_std PREFIX=%{buildroot}%{_prefix}

%find_lang rpmdrake

# for consolehelper config (#29696)
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
cat > %{buildroot}%{_sysconfdir}/pam.d/rpmdrake  <<EOF
#%PAM-1.0
auth		include		config-util
account		include		config-util
session		include		config-util
EOF

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
cat > %{buildroot}%{_sysconfdir}/security/console.apps/rpmdrake <<EOF
USER=root
PROGRAM=/usr/sbin/rpmdrake
FALLBACK=false
SESSION=true
EOF

# Rights Delegation spec for MDV2008 says MandrivaUpdate should ask for
# user password, not root password
cat > %{buildroot}%{_sysconfdir}/pam.d/mandrivaupdate  <<EOF
#%PAM-1.0
auth		include		config-util-user
account		include		config-util-user
session		include		config-util-user
EOF

cat > %{buildroot}%{_sysconfdir}/security/console.apps/MandrivaUpdate <<EOF
USER=<user>
PROGRAM=/usr/sbin/MandrivaUpdate
FALLBACK=false
SESSION=true
EOF

# edit media
cp -af %{buildroot}%{_sysconfdir}/pam.d/{rpmdrake,drakrpm-edit-media}
cat > %{buildroot}%{_sysconfdir}/security/console.apps/drakrpm-edit-media <<EOF
USER=root
PROGRAM=/usr/sbin/drakrpm-edit-media
FALLBACK=false
SESSION=true
EOF

# rpmdrake-update
cp -af %{buildroot}%{_sysconfdir}/pam.d/{rpmdrake,drakrpm-update}
cat > %{buildroot}%{_sysconfdir}/security/console.apps/drakrpm-update <<EOF
USER=root
PROGRAM=/usr/sbin/drakrpm-update
FALLBACK=false
SESSION=true
EOF

ln -sf %{_bindir}/consolehelper %{buildroot}%{_bindir}/drakrpm-edit-media
# XXX - should be changed upstream
sed -i -e "s,%{_sbindir}/edit-urpm-sources.pl,%{_bindir}/drakrpm-edit-media," \
        %{buildroot}%{_datadir}/applications/rpmdrake-sources.desktop

mkdir -p %{buildroot}{%{_miconsdir},%{_liconsdir},%{_iconsdir}/hicolor,%{_iconsdir}/hicolor/{16x16,32x32,48x48},%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps}
for i in rpmdrake mandrivaupdate edit-urpm-sources; do
  cp pixmaps/${i}16.png %{buildroot}%{_miconsdir}/${i}.png
  cp pixmaps/${i}32.png %{buildroot}%{_iconsdir}/${i}.png
  cp pixmaps/${i}48.png %{buildroot}%{_liconsdir}/${i}.png
  cp pixmaps/${i}16.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/${i}.png
  cp pixmaps/${i}32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/${i}.png
  cp pixmaps/${i}48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/${i}.png
done
ln -sf %{_bindir}/consolehelper %{buildroot}%{_bindir}/rpmdrake
ln -sf %{_bindir}/consolehelper %{buildroot}%{_bindir}/MandrivaUpdate
ln -sf %{_bindir}/rpmdrake %{buildroot}%{_bindir}/drakrpm
ln -sf %{_sysconfdir}/security/console.apps/MandrivaUpdate %{buildroot}%{_sysconfdir}/security/console.apps/mandrivaupdate
ln -sf %{_sysconfdir}/pam.d/rpmdrake %{buildroot}%{_sysconfdir}/pam.d/drakrpm
ln -sf %{_sysconfdir}/security/console.apps/rpmdrake %{buildroot}%{_sysconfdir}/security/console.apps/drakrpm

%check
%make check


%changelog

* Wed Jul 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.26.12-55
- (3d1de7c) Fix a typo

* Thu Jun 09 2016 Denis Silakov <dsilakov@gmail.com> 5.26.12-54
- (2ac94e5) Rehprase error messages

* Wed Jun 08 2016 Denis Silakov <dsilakov@gmail.com> 5.26.12-53
- (e55b1ce) Fix typo

* Wed Jun 08 2016 Denis Silakov <dsilakov@gmail.com> 5.26.12-52
- (dc08a9a) Fix error messages

* Sat Jun 04 2016 Denis Silakov <denis.silakov@rosalab.ru> 5.26.12-51
- (83e3ee7) Merge two l10n patches, dropped unused globaldialog patch, do not suggest to remove anything automatically in case of conflicts

* Sat Jun 04 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.26.12-50
- (397e7be) Fix more typos in Russian translation
- (397e7be) Adjust spec style

* Tue Sep 29 2015 Denis Silakov <dsilakov@gmail.com> 5.26.12-49
- (66e5307) Fix version comparison when choosing the freshest package version

* Wed Apr 08 2015 Denis Silakov <denis.silakov@rosalab.ru> 5.26.12-48
- (5a73d6a) Fix typo in Russian localization

* Tue Mar 24 2015 Denis Silakov <denis.silakov@rosalab.ru> 5.26.12-47
- (3165661) Display only the latest version of every install candidate

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 5.26.12-46
- (563cf44) MassBuild#656: Increase release tag

* Mon Feb 09 2015 Denis Silakov <denis.silakov@rosalab.ru> 5.26.12-45
- (d4ef16f) Added youmagic to gui list

* Sat Feb 07 2015 Denis Silakov <denis.silakov@rosalab.ru> 5.26.12-44
- (bafe6c7) Merge gui.lst patches, add more apps to the list

* Tue Jan 27 2015 Denis Silakov <denis.silakov@rosalab.ru> 5.26.12-43
- (8f5c48f) Make GOST support conditional
- (Denis Silakov: 9321357) Added steam to gui packages

* Wed Dec 10 2014 Denis Silakov <denis.silakov@rosalab.ru> 5.26.12-42
- (c5a428a) SILENT Minor spec cleanup
- (Denis Silakov: 66b6c39) Disable force-req-update feature when removing packages

* Mon Sep 29 2014 Denis Silakov <denis.silakov@rosalab.ru> 5.26.12-41
- (fbaaccc) Fix evr vs EVR usage

* Tue Aug 19 2014 Denis Silakov <denis.silakov@rosalab.ru> 5.26.12-40
- (15b9aa7) Patch rpmdrake to work with new urpmi main_loop

* Mon Jul 21 2014 Denis Silakov <denis.silakov@rosalab.ru> 5.26.12-39
- (4561cc3) Ignore 'auto-restart' possibility in urpm::main_loop for now

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 5.26.12-38
- (3b16395) MassBuild#440: Increase release tag

* Wed May 07 2014 Denis Silakov <denis.silakov@rosalab.ru> 5.26.12-37
- (4e54689) Disable update-all-repos patch

* Mon Jan 20 2014 Denis Silakov <denis.silakov@rosalab.ru> 5.26.12-36
- (92ffc3f) Do not disable media forever

* Fri Dec 13 2013 Denis Silakov <denis.silakov@rosalab.ru> 5.26.12-35
- (6a25665) Added debug info to track media updates

* Mon Dec 02 2013 Denis Silakov <denis.silakov@rosalab.ru> 5.26.12-34
- (58c3ff0) Add support for curl_gost configuration in edit-urpm-sources

* Mon Oct 14 2013 Denis Silakov <denis.silakov@rosalab.ru> 5.26.12-33
- (932a2dd) Added localization fix

* Thu Oct 03 2013 Denis Silakov <denis.silakov@rosalab.ru> 5.26.12-32
- (0d6e507) In --auto mode, choose package with highest version-release

* Wed Sep 25 2013 Denis Silakov <denis.silakov@rosalab.ru> 5.26.12-31
- (76921fb) Improve MandrivaUpdate auto_select patch

* Mon Sep 23 2013 Denis Silakov <denis.silakov@rosalab.ru> 5.26.12-30
- (29a141c) Update patch
- (Denis Silakov: 5a76c45) Fix MandrivaUpdate to read 'auto_select' option from rpmdrake config file

* Fri Aug 23 2013 root <root@localhost.localdomain> 5.26.12-29
- (2843651) rpmdrake should update all repositories


